net.corda.node

## Class InteractiveShellCommand

- net.corda.node.InteractiveShellCommand

-     public class InteractiveShellCommand

  Simply extends CRaSH BaseCommand to add easy access to the RPC ops class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InteractiveShellCommand()` Simply extends CRaSH BaseCommand to add easy access to the RPC ops class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.databind.ObjectMapper` | `objectMapper()`
    `CordaRPCOps` | `ops()`
    `ServiceHubInternal` | `services()`

- - ### Constructor Detail

    - #### InteractiveShellCommand

          public InteractiveShellCommand()

      Simply extends CRaSH BaseCommand to add easy access to the RPC ops class.

  - ### Method Detail

    - #### ops

          public CordaRPCOps ops()

    - #### services

          public ServiceHubInternal services()

    - #### objectMapper

          public com.fasterxml.jackson.databind.ObjectMapper objectMapper()